import { QuizQuestionFile } from "@model/questionTypes/file";
import HelpQuestions from "../helpQuestions";
import SettingsUpload from "./settingUpload";


interface Props {
    switchState: string;
    question: QuizQuestionFile;
}

export default function SwitchUpload({
    switchState = "setting",
    question,
}: Props) {
    switch (switchState) {
        case "setting":
            return <SettingsUpload question={question} />;
        case "help":
            return <HelpQuestions question={question} />;
        default:
            return <></>;
    }
}
